Credit Notes
List Credit Note Line Items
Returns paginated line items for a credit note. Use for credit notes with many lines (e.g. 10k+).
GET
/
clients
/
{clientId}
/
credit-notes
/
{creditNoteId}
/
line-items
List Credit Note Line Items
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/credit-notes/{creditNoteId}/line-items \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/credit-notes/{creditNoteId}/line-items"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/credit-notes/{creditNoteId}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"data": {
"lineItems": [
{
"lineItemId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"creditNoteId": "<string>",
"employeeId": "<string>",
"employeeName": "<string>",
"payElementId": "<string>",
"payElementDescription": "<string>",
"description": "<string>",
"quantity": 123,
"unitAmount": 123,
"lineAmount": 123,
"taxAmount": 123,
"taxType": "<string>",
"accountCode": "<string>",
"tracking": [
{
"name": "<string>",
"option": "<string>",
"trackingCategoryId": "<string>",
"trackingOptionId": "<string>"
}
],
"attachments": [
{
"id": "<string>",
"lineItemId": "<string>",
"filename": "<string>",
"contentType": "<string>",
"fileSize": 123,
"uploadedDate": "<string>",
"uploadedBy": "<string>",
"s3Key": "<string>",
"source": "<string>",
"downloadUrl": "<string>",
"downloadUrlExpiresAt": "<string>"
}
],
"poNumber": "<string>"
}
],
"paginationToken": "<string>",
"hasMorePages": true,
"pageSize": 123
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}Authorizations
Authentication token for API access
Query Parameters
Was this page helpful?
⌘I
List Credit Note Line Items
